#!/bin/bash
set -e

DEST=$1

INIT=$DEST/../dynbinary/dockerinit-$VERSION
[ -x "$INIT" ] || {
	source "$(dirname "$BASH_SOURCE")/.dockerinit"
	INIT="$DEST/dockerinit"
}
export TEST_DOCKERINIT_PATH="$INIT"

bundle_test_integration() {
	LDFLAGS="
		$LDFLAGS
		-X $DOCKER_PKG/dockerversion.INITSHA1 \"$DOCKER_INITSHA1\"
	" go_test_dir ./integration \
		"-coverpkg $(find_dirs '*.go' | sed 's,^\.,'$DOCKER_PKG',g' | paste -d, -s)"
}

# this "grep" hides some really irritating warnings that "go test -coverpkg"
# spews when it is given packages that aren't used
bundle_test_integration 2>&1 \
	| grep --line-buffered -v '^warning: no packages being tested depend on ' \
	| tee -a $DEST/test.log
